> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy Proxies

> Deploys one or more proxy servers.

Adds a new proxy server to your account. You can deploy a proxy server in any of the available locations.

<Warning>
  When deploying a proxy, funds will be deducted from your Illusory Wallet. Ensure you have sufficient funds before deploying.
</Warning>


## OpenAPI

````yaml POST /v1/proxies/deploy
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies/deploy:
    post:
      description: Deploys one or more proxy servers.
      requestBody:
        description: Deploy proxy details
        content:
          application/json:
            schema:
              type: object
              properties:
                proxies:
                  type: array
                  description: >-
                    List of proxies to deploy. Each item should include `isp`,
                    `location`, `interval` and `period`.
                  items:
                    type: object
                    properties:
                      isp:
                        type: string
                        description: Internet Service Provider
                      location:
                        type: string
                        description: City of the proxy server. e.g., `Austin`
                      interval:
                        type: integer
                        description: Interval for deployment period. e.g., `2` weeks.
                      period:
                        type: string
                        enum:
                          - hourly
                          - daily
                          - weekly
                          - monthly
                          - yearly
                        description: Deployment period, e.g., 'weekly'
                    required:
                      - isp
                      - location
                      - interval
                      - period
                    example:
                      - isp: Verizon
                        location: Austin
                        interval: 1
                        period: weekly
                      - isp: AT&T
                        location: Cleveland
                        interval: 2
                        period: monthly
              required:
                - proxies
      responses:
        '202':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: >-
                      Sent deploy request successfully. Your proxies should be
                      deployed shortly to your dashboard.
                  data:
                    $ref: '#/components/schemas/proxy-deploy'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error--422-proxy-low-stock'
      security:
        - bearerAuth: []
components:
  schemas:
    proxy-deploy:
      type: object
      properties:
        user_id:
          type: string
          description: Unique identifier of the user
          example: user_1234567890
        total:
          type: integer
          description: Total amount to be deducted from your Illusory Wallet.
          example: 25
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
    error--422-proxy-low-stock:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            count:
              type: integer
              description: Amount of product stock available
            amount:
              type: integer
              description: Amount of product requested
            location:
              type: string
              description: Location of stock with discrepancy
            isp:
              type: string
              description: ISP of stock with discrepancy
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          count: 0
          amount: 1
          location: Cleveland
          isp: AT&T
        message: >-
          The amount requested is lower than the available stock. Please review
          your cart as it may have been revised.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````